/* Base styles */
body {
    background: radial-gradient(#020202, #000);
    margin: 0;
    font-family: 'Arial', sans-serif; 
}

.container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100vh;
    overflow: hidden;
    background: radial-gradient(#020202, #000);
    box-shadow: 0 0 50px rgba(0, 255, 255, 0.2) inset;
    position: relative;
    font-family: 'Arial', sans-serif;
    
}

/* Start start */
#start {
    position: relative;
    padding: 16px 30px;
    font-size: 1.5rem;
    color: var(--color);
    border: 4px;
    border-radius: 4px;
    text-shadow: 0 0 15px var(--color);
    text-decoration: none;
    text-transform: uppercase;
    letter-spacing: 0.1rem;
    transition: 0.5s;
    z-index: 1;
    background: transparent;
  }
  
#start:hover {
    color: #fff;
    border: 2px solid rgba(0, 0, 0, 0);
    box-shadow: 0 0 0px var(--color);
  }
  
#start::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: var(--color);
    z-index: -1;
    transform: scale(0);
    transition: 0.5s;
  }
  
#start:hover::before {
    transform: scale(1);
    transition-delay: 0.5s;
    box-shadow: 0 0 10px var(--color),
      0 0 30px var(--color),
      0 0 60px var(--color);
  }
  
#start span {
    position: absolute;
    background: var(--color);
    pointer-events: none;
    border-radius: 2px;
    box-shadow: 0 0 10px var(--color),
      0 0 20px var(--color),
      0 0 30px var(--color),
      0 0 50px var(--color),
      0 0 100px var(--color);
    transition: 0.5s ease-in-out;
    transition-delay: 0.25s;
  }
  
#start:hover span {
    opacity: 0;
    transition-delay: 0s;
  }
  
#start span:nth-child(1),
#start span:nth-child(3) {
    width: 40px;
    height: 4px;
  }
  
#start:hover span:nth-child(1),
#start:hover span:nth-child(3) {
    transform: translateX(0);
  }
  
#start span:nth-child(2) {
    width: 4px;
    height: 40px;
  }
  
#start:hover span:nth-child(1),
#start:hover span:nth-child(3) {
    transform: translateY(0);
  }
  
#start span:nth-child(1) {
    top: calc(50% - 2px);
    left: -50px;
    transform-origin: left;
  }
  
#start:hover span:nth-child(1) {
    left: 50%;
  }
  
#start span:nth-child(3) {
    top: calc(50% - 2px);
    right: -50px;
    transform-origin: right;
  }
  
#start:hover span:nth-child(3) {
    right: 50%;
  }
  
#start span:nth-child(2) {
    left: calc(50% - 2px);
    top: -50px;
    transform-origin: top;
  }
  
#start:hover span:nth-child(2) {
    top: 10%;
  }
  


/* End start */
#end {
    display: none; /* Hidden by default */
    background: transparent;
    border: 0px;
}

/* Output container */
.output {
    margin-top: 20px;
    padding: 20px;
    background-color: rgba(0, 0, 0, 0.6); /* Adjusted background color */
    border-radius: 10px;
    box-shadow: 0 0 20px rgba(0, 255, 255, 0.2);
    text-align: center;
    background-color: transparent;
    
}

.output p {
    margin: 0;
    font-size: 20px;
    color: #ffffff; /* Text color */
 
}

/* Glowing animation for container */
@keyframes glowing {
    0% { box-shadow: 0 0 20px rgba(0, 255, 255, 0.2); }
    100% { box-shadow: 0 0 50px rgba(0, 255, 255, 0.5), 0 0 30px rgba(0, 255, 255, 0.3); }
}

